Up

# NSImageRep

### Authors

Adam Fedor (`fedor@colorado.edu`)

> Abstract representation of an image.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSImageRep class

## NSImageRep : NSObject

> Declared in:
>   AppKit/NSImageRep.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +canInitWithData:
- +canInitWithPasteboard:
- +imageFileTypes
- +imagePasteboardTypes
- +imageRepClassForData:
- +imageRepClassForFileType:
- +imageRepClassForPasteboardType:
- +imageRepWithContentsOfFile:
- +imageRepWithContentsOfURL:
- +imageRepWithPasteboard:
- +imageRepsWithContentsOfFile:
- +imageRepsWithContentsOfURL:
- +imageRepsWithPasteboard:
- +imageUnfilteredFileTypes
- +imageUnfilteredPasteboardTypes
- +registerImageRepClass:
- +registeredImageRepClasses
- +unregisterImageRepClass:
- -bitsPerSample
- -colorSpaceName
- -draw
- -drawAtPoint:
- -drawInRect:
- -hasAlpha
- -isOpaque
- -pixelsHigh
- -pixelsWide
- -setAlpha:
- -setBitsPerSample:
- -setColorSpaceName:
- -setOpaque:
- -setPixelsHigh:
- -setPixelsWide:
- -setSize:
- -size

### canInitWithData:

+ (BOOL) canInitWithData: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### canInitWithPasteboard:

+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### imageFileTypes

+ (NSArray*) imageFileTypes;
Availability: OpenStep
Description forthcoming.

### imagePasteboardTypes

+ (NSArray*) imagePasteboardTypes;
Availability: OpenStep
Description forthcoming.

### imageRepClassForData:

+ (Class) imageRepClassForData: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### imageRepClassForFileType:

+ (Class) imageRepClassForFileType: (NSString*)type;
Availability: OpenStep
Description forthcoming.

### imageRepClassForPasteboardType:

+ (Class) imageRepClassForPasteboardType: (NSString*)type;
Availability: OpenStep
Description forthcoming.

### imageRepWithContentsOfFile:

+ (id) imageRepWithContentsOfFile: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### imageRepWithContentsOfURL:

+ (id) imageRepWithContentsOfURL: (NSURL*)anURL;
Availability: MacOS-X 10.0.0
Description forthcoming.

### imageRepWithPasteboard:

+ (id) imageRepWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### imageRepsWithContentsOfFile:

+ (NSArray*) imageRepsWithContentsOfFile: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### imageRepsWithContentsOfURL:

+ (NSArray*) imageRepsWithContentsOfURL: (NSURL*)anURL;
Availability: MacOS-X 10.0.0
Description forthcoming.

### imageRepsWithPasteboard:

+ (NSArray*) imageRepsWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### imageUnfilteredFileTypes

+ (NSArray*) imageUnfilteredFileTypes;
Availability: OpenStep
Description forthcoming.

### imageUnfilteredPasteboardTypes

+ (NSArray*) imageUnfilteredPasteboardTypes;
Availability: OpenStep
Description forthcoming.

### registerImageRepClass:

+ (void) registerImageRepClass: (Class)imageRepClass;
Availability: OpenStep
Description forthcoming.

### registeredImageRepClasses

+ (NSArray*) registeredImageRepClasses;
Availability: OpenStep
Description forthcoming.

### unregisterImageRepClass:

+ (void) unregisterImageRepClass: (Class)imageRepClass;
Availability: OpenStep
Description forthcoming.

### bitsPerSample

- (int) bitsPerSample;
Availability: OpenStep
Description forthcoming.

### colorSpaceName

- (NSString*) colorSpaceName;
Availability: OpenStep
Description forthcoming.

### draw

- (BOOL) draw;
Availability: OpenStep
Description forthcoming.

### drawAtPoint:

- (BOOL) drawAtPoint: (NSPoint)aPoint;
Availability: OpenStep
Description forthcoming.

### drawInRect:

- (BOOL) drawInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### hasAlpha

- (BOOL) hasAlpha;
Availability: OpenStep
Description forthcoming.

### isOpaque

- (BOOL) isOpaque;
Availability: OpenStep
Description forthcoming.

### pixelsHigh

- (int) pixelsHigh;
Availability: OpenStep
Description forthcoming.

### pixelsWide

- (int) pixelsWide;
Availability: OpenStep
Description forthcoming.

### setAlpha:

- (void) setAlpha: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setBitsPerSample:

- (void) setBitsPerSample: (int)anInt;
Availability: OpenStep
Description forthcoming.

### setColorSpaceName:

- (void) setColorSpaceName: (NSString*)aString;
Availability: OpenStep
Description forthcoming.

### setOpaque:

- (void) setOpaque: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setPixelsHigh:

- (void) setPixelsHigh: (int)anInt;
Availability: OpenStep
Description forthcoming.

### setPixelsWide:

- (void) setPixelsWide: (int)anInt;
Availability: OpenStep
Description forthcoming.

### setSize:

- (void) setSize: (NSSize)aSize;
Availability: OpenStep
Description forthcoming.

### size

- (NSSize) size;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSImageRep Class

### _bitsPerSample

@protected int _bitsPerSample;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _colorSpace

@protected NSString* _colorSpace;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _hasAlpha

@protected BOOL _hasAlpha;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isOpaque

@protected BOOL _isOpaque;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pixelsHigh

@protected int _pixelsHigh;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pixelsWide

@protected int _pixelsWide;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _size

@protected NSSize _size;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up